Attribute VB_Name = "MDBEngine"

Option Explicit

Public Const MS_READER_ENABLE = 0
Public Const MS_READER_DISABLE = 1
Public Const MS_VEND_REQUEST = 2
Public Const MS_VEND_SUCCESS = 3
Public Const MS_VEND_FAILURE = 4
Public Const MS_REVALUE_REQUEST = 5

Public Const SS_READER_READY = 0
Public Const SS_READER_ENABLE = 1
Public Const SS_READER_DISABLE = 2
Public Const SS_READER_BEGIN_SESSION = 3
Public Const SS_READER_END_SESSION = 4
Public Const SS_READER_DISPLAY = 5
Public Const SS_READER_APPROVED = 6
Public Const SS_READER_DENIED = 7
Public Const SS_READER_SUCCESS = 8
Public Const SS_READER_FAILURE = 9
Public Const SS_READER_REVALUE_APPROVED = 10
Public Const SS_READER_REVALUE_DENIED = 11
Public Const SS_READER_DISPLAY_REQUEST = 12

Public Type SLAVE_SETUP
    lParam As Long            'Parameter to pass with message lParam
    hParent As Long           'Handle of the parent window receiving messages
    dwSlave As Long           'MDB slave number
    dwDevice As Long          'USB device number
    dwTimeout As Long         'Inter character timeout
    dwRevalueLimit As Long    'Revalue limit amount
    sManufacturer(3) As Byte  'Manufacturer code max. 3 character
    sSerialNumber(12) As Byte 'Serial Number max. 12 character
    sModelNumber(12) As Byte  'Model number max 12 character
    dwVersion As Long         'Version max. 2 bytes
End Type

Public Type SLAVE_SESSION
    dwFunds As Long           'Available funds
    dwMediaID As Long         'Payment media identification number
    dwPaymentType As Long     'Payment type
    dwPaymentData As Long     'Payment data
    dwLanguage As Long        'User language code
    dwCurrency As Long        'User currency code
    dwOptions As Long         'Card options
End Type

Public Type SLAVE_INFO
    dwFutureLevel As Long     'VMC future level
    dwColumns As Long         'Columns on display
    dwRows As Long            'Rows on display
    dwInfo As Long            'Display info
    dwItemPrice As Long       'Item price (Valid after vend request)
    dwItemNumber As Long      'Item number (Valid after vend request)
End Type

Public Type SLAVE_APPROVED
    dwAmount As Long          'Vend amount
End Type

Declare Function DownloadTarget Lib "MDBEngine" (ByVal dwDevice As Long, ByVal dwRetry As Long) As Boolean
Declare Function MasterCreate Lib "MDBEngine" (ByRef lpSetup As SLAVE_SETUP) As Boolean
Declare Function MasterDestroy Lib "MDBEngine" () As Boolean
Declare Function MasterReset Lib "MDBEngine" () As Boolean
Declare Function MasterInfo Lib "MDBEngine" (ByRef lpInfo As SLAVE_INFO) As Boolean
Declare Function MasterBeginSession Lib "MDBEngine" (ByRef lpSession As SLAVE_SESSION) As Boolean
Declare Function MasterEndSession Lib "MDBEngine" () As Boolean
Declare Function MasterApproved Lib "MDBEngine" (ByRef lpApproved As SLAVE_APPROVED) As Boolean
Declare Function MasterDenied Lib "MDBEngine" () As Boolean


